@echo off
if "%CLIENT_CLASSES%X" == "X" goto setenv
set JAVAC=javac
set JAVA=java
if "%1" == "-ms" set JAVAC=jvc
if "%1" == "-ms" set JAVA=jview

@echo on
@echo ============== Building Calendar JSP example ============
@echo.
%JAVAC% -d %SERVER_CLASSES% CalendarBean.java
@echo.
@echo Copying Calendar.jsp to public_html
copy Calendar.jsp %SERVER_CLASSES%\..\public_html

@echo.
@echo ============== Building SqlServlet servlet example ============
@echo.
%JAVAC% -d %SERVLET_CLASSES% SqlServlet.java
@echo.

@echo.
@echo ============== Building booksT3pool JDBC example ============
@echo.
%JAVAC% -d %CLIENT_CLASSES% booksT3pool.java
@echo.

@echo.
@echo ============== Building Emp entity EJB example ============
@echo.
%JAVAC% -d %CLIENT_CLASSES% Emp.java EmpBeanPK.java EmpBean.java EmpBeanHome.java
%JAVAC% -d . Emp.java EmpBeanPK.java EmpBean.java EmpBeanHome.java
%JAVA% weblogic.ejb.utils.DDCreator -d examples/intro DeploymentDescriptor.txt
%JAVA% weblogic.ejbc -d . examples/intro/EmpBeanDD.ser
jar cmf manifest Emp.jar examples
copy Emp.jar %SERVER_CLASSES%\..
copy EmpQuery.jsp %SERVER_CLASSES%\..\public_html
@echo off
del/q examples\intro\*.*
rmdir examples\intro
rmdir examples
del Emp.jar
@echo on
@echo.
@echo ============== Building JMS example ============
@echo.
%JAVAC% -d %CLIENT_CLASSES% EmpQueueReader.java
%JAVAC% -d %SERVLET_CLASSES% EmpTrans.java

@goto end

:setenv
@echo ** Set the build environment with the setEnv.cmd script before
@echo ** you run this script.
@echo.
@echo See http://www.weblogic.com/docs45/techstart/environment.html
@echo for help.
@goto end


:end
@echo ============== Done =============== 
