package examples.intro;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.util.*;
import java.sql.Date;

/**
 * Emp interface. Companion to "Getting Started with BEA WebLogic
 * Server 4.5".
 *
 * @author Copyright (c) 2000, BEA Systems, Inc. All Rights Reserved.  
 */
public interface Emp extends EJBObject {

  public int getEmpno() throws RemoteException;
  public String getEname() throws RemoteException;
  public String getJob() throws RemoteException;
  public int getMgr() throws RemoteException;
  public java.sql.Date getHiredate() throws RemoteException;
  public double getSal() throws RemoteException;
  public double getComm() throws RemoteException;
  public int getDeptno() throws RemoteException;

  public void setEname(String newEname) throws RemoteException;
  public void setJob(String newJob) throws RemoteException;
  public void setMgr(int newMgr) throws RemoteException;
  public void setHiredate(Date newHiredate) throws RemoteException;
  public void setSal(double newSal) throws RemoteException;
  public void setComm(double newComm) throws RemoteException;
  public void setDeptno(int newDeptno) throws RemoteException;

  public String htmlToPrint() throws RemoteException;
}

